Upstream information

CVE-2013-4291 at MITRE

Description

The virSecurityManagerSetProcessLabel function in libvirt 0.10.2.7, 1.0.5.5, and 1.1.1, when the domain has read an uid:gid label, does not properly set group memberships, which allows local users to gain privileges.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 837530 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • libvirt >= 1.2.5-3.76
  • libvirt-client >= 1.2.5-3.76
  • libvirt-client-32bit >= 1.2.5-3.76
  • libvirt-doc >= 1.2.5-3.76
  • libvirt-lock-sanlock >= 1.2.5-3.76
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libvirt
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libvirt-devel >= 1.2.5-3.76
  • libvirt-devel-32bit >= 1.2.5-3.76
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libvirt-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.6-0.7.1
Builds
SAT Patch Nr: 8421
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.6-0.7.1
  • libvirt-devel-32bit >= 1.0.5.6-0.7.1
Builds
SAT Patch Nr: 8421
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.6-0.7.1
  • libvirt-client >= 1.0.5.6-0.7.1
  • libvirt-doc >= 1.0.5.6-0.7.1
  • libvirt-python >= 1.0.5.6-0.7.1
Builds
SAT Patch Nr: 8421
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.6-0.7.1
  • libvirt-client >= 1.0.5.6-0.7.1
  • libvirt-client-32bit >= 1.0.5.6-0.7.1
  • libvirt-doc >= 1.0.5.6-0.7.1
  • libvirt-python >= 1.0.5.6-0.7.1
Builds
SAT Patch Nr: 8421
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.6-0.7.1
  • libvirt-client >= 1.0.5.6-0.7.1
  • libvirt-doc >= 1.0.5.6-0.7.1
  • libvirt-lock-sanlock >= 1.0.5.6-0.7.1
  • libvirt-python >= 1.0.5.6-0.7.1
Builds
SAT Patch Nr: 8421
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.6-0.7.1
  • libvirt-client >= 1.0.5.6-0.7.1
  • libvirt-client-32bit >= 1.0.5.6-0.7.1
  • libvirt-doc >= 1.0.5.6-0.7.1
  • libvirt-lock-sanlock >= 1.0.5.6-0.7.1
  • libvirt-python >= 1.0.5.6-0.7.1
Builds
SAT Patch Nr: 8421


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 libvirt Released
SUSE Linux Enterprise Desktop 11 SP3 libvirt Released
SUSE Linux Enterprise SDK 11 SP2 libvirt Released
SUSE Linux Enterprise SDK 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP2 libvirt Released
SUSE Linux Enterprise Server 11 SP2 LTSS libvirt Released
SUSE Linux Enterprise Server 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libvirt Released